Subject: [nemo] Combining / separate Prefix Delegation drafts

From: "T.J.Kniveton" <[email-masked]>
Date: Fri, 4 Feb 2005 13:52:47 -0800

At the last IETF, I presented the draft on Prefix Delegation, and there 
was no clear consensus whether that draft should be combined with the 
existing DHCPv6 PD draft, or they should be advanced as 2 separate WG 
drafts. Please make any comments on that now.

Here is the excerpt from the minutes:

> 6.  Prefix Delegation ......................................... 10mins
>      TJ Kniveton
>
>      draft-kniveton-nemo-prefix-delegation-00.txt
>
>      Prefix delegation is included in the charter of the WG
>      This draft is augmenting the work done by R. Droms
>      The goal is to use NEMO signaling for prefix delegation
>      New protocol elements are defined to carry prefix requests
>      Both Transient (CoA) and Persistent (HoA) prefixes are considered
>      This approach complements DHCP methods.
>      NEMO signaling has some additional mobility related attributes
>      and NEMO based approaches might save flows
>      Question to the wg is: Is the WG interested in DHCPv6 only method?
>      Does it make sense to merge this approach with DHCPv6?
>
>      Questions:
>      ----------
>
>      Vijay: I don't agree with statement that the two approaches are
>      complementary. DHCP can provide a complete solution.
>      TJ: You can have a solution with only DHCP, but there are some
>      nemo specifics elements missing. You can also have a solution
>      using only nemo signaling also. So there are three options only
>      NEMO, DHCP, hybrid.
>      Vijay: Could we have two proposed methods, where we just have the
>      DHCPv6, and the other with this apporach?
>      TJ: We could consider this options. Opinions from the WG?
>      Pascal: The motivation part of the draft says clearly why we
>      need this so please read it if you haven't.
>      Pascal: Do we need to merge this or separate is fine?
>      Vijay: Separate is fine
>      TJ: No sense from the room. We proceed working with Ralph and
>      Pascal and figure out how to integrate those, since there is
>      no sense from the room
>      Vidya: MIP6 agreed on using NAI for HoA, are we just relying
>      on MIP6 for whatever they decide?
>      TJ: NEMO is an extension on MIP6, whatever agreement HA and MN
>      have, they'll be a parallel set of rules for MR
>      Vidya: There needs to be a way for authorizing MR say it's
>      acceptable to own this prefix
>      TJ: This is an implementation/policy decision, how do we decide
>      MR allowed to use a HoA? The  same thing happen with prefixes.
>      TJ: In conclusion, since there's really no strong oppinion. We
>      could advance both of these documents (DHCP based and NEMO based)
>      as WG items.
>      Ryuji: Both mechanisms are statefull, do we need two statefull
>      mechanisms? Do we need a stateless mechanism?
>      Erik: This draft will be a wg but i can't find the draft in
>      id directory
>      TJ: It was submitted late and it is not in directory
>      TJ: Ralph's draft is expired